# Copyright (c) 2025, UChicago Argonne, LLC
# BSD OPEN SOURCE LICENSE. Full license can be found in LICENSE
# Copyright (c) 2025, UChicago Argonne, LLC
# BSD OPEN SOURCE LICENSE. Full license can be found in LICENSE
from ..supply_editor import IntersectionRebuilderDialog
from .show_dialog import show_diag


def rebuild_intersections_job(proj):
    if not proj.open_mode:
        proj.show_message_no_supply()
        return
    dlg2 = IntersectionRebuilderDialog(proj)
    show_diag(dlg2)
